<!DOCTYPE html>
<html lang="en">

<head>
    <title>Filter Cars</title>
    <link href="css/styles.css" rel="stylesheet" />
</head>

<body>
    <div class="d-flex" id="wrapper">
        <!-- Page content wrapper-->
        <%- include('partials/_sidebar.ejs') %>
            <div id="page-content-wrapper" class="bg-light">



                <%- include('partials/_navbar.ejs') %>
                    <!-- Page content-->
                    <div class="container-fluid">
                        <div class="container mt-3">
                            <div>
                                <%= carsTitle  %>
                            </div>
                            <div id="listCar">
                                <div class="mt-4">
                                    <h3>List Car</h3>
                                    <a href="/admin/add" type="button" class="btn btn-primary" data-mdb-ripple-color="dark">+ Add New Car</a>
                                </div>
                                <div class="mt-4">
                                    <form action='/admin/filter'>
                                        <button type="submit" name="ukuran" class="btn btn-outline-primary me-2" value="all" placeholder="All" data-mdb-ripple-color="dark"> All</button>
                                        <button type="submit" name="ukuran" class="btn btn-outline-primary me-2" value="small" placeholder="Small" data-mdb-ripple-color="dark"> Small</button>
                                        <button type="submit" name="ukuran" class="btn btn-outline-primary me-2" value="medium" placeholder="Medium" data-mdb-ripple-color="dark">Medium</button>
                                        <button type="submit" name="ukuran" class="btn btn-outline-primary me-2" value="large" placeholder="Large" data-mdb-ripple-color="dark">Large</button>
                                    </form>

                                </div>
                                <!-- Filter Cars -->
                                <div class="mt-4">
                                    <div class="row">
                                        <% items.forEach((item)=> { %>
                                            <div class="col-sm-6 col-md-4">
                                                <div class="card mt-4">
                                                    <img src="<%= item.foto %>" class="card-img-top p-3" alt="Fissure in Sandstone" />
                                                    <div class="card-body">
                                                        <p>
                                                            <%= item.nama%>/
                                                                <%=item.ukuran%>
                                                        </p>
                                                        <h5 class="card-title">Rp
                                                            <%=item.harga%> / hari</h5>
                                                        <p>Updated at
                                                            <%=item.updatedAt%>
                                                        </p>
                                                        <div>
                                                            <button type="button" class="btn btn-outline-danger ps-4 pt-2 pe-4 pb-2" data-toggle="modal" data-target="#exampleModalCenter">
													<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
														class="bi bi-trash3" viewBox="0 0 16 16">
														<path
															d="M6.5 1h3a.5.5 0 0 1 .5.5v1H6v-1a.5.5 0 0 1 .5-.5ZM11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3A1.5 1.5 0 0 0 5 1.5v1H2.506a.58.58 0 0 0-.01 0H1.5a.5.5 0 0 0 0 1h.538l.853 10.66A2 2 0 0 0 4.885 16h6.23a2 2 0 0 0 1.994-1.84l.853-10.66h.538a.5.5 0 0 0 0-1h-.995a.59.59 0 0 0-.01 0H11Zm1.958 1-.846 10.58a1 1 0 0 1-.997.92h-6.23a1 1 0 0 1-.997-.92L3.042 3.5h9.916Zm-7.487 1a.5.5 0 0 1 .528.47l.5 8.5a.5.5 0 0 1-.998.06L5 5.03a.5.5 0 0 1 .47-.53Zm5.058 0a.5.5 0 0 1 .47.53l-.5 8.5a.5.5 0 1 1-.998-.06l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z" />
													</svg>
													<b>Delete</b>
												</button>

                                                            <!-- Modal Delete-->
                                                            <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                                                <div class="modal-dialog modal-dialog-centered" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <img src="assets/img-BeepBeep.svg" alt="">
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <h5 class="modal-title" id="exampleModalLongTitle">
                                                                                Menghapus Data Mobil</h5>
                                                                            <p>Setelah dihapus, data mobil tidak dapat dikembalikan. Yakin ingin menghapus?</p>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <form action='/admin/delete/<%= item.id %>' method='post'>
                                                                                <input type='submit' value='Delete' class='btn-edit btn btn-danger'>
                                                                            </form>
                                                                            <a type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <a href="/admin/edit/<%= item.id%>" class="btn btn-success ps-4 pt-2 pe-4 pb-2">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pencil-square" viewBox="0 0 16 16">
														<path
															d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z" />
														<path fill-rule="evenodd"
															d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z" />
													</svg>
                                                                <b>Edit</b>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <% }) %>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
</body>

</html>